import Button from "../components/Button";

export default {
  title: "Components/Button",
  component: Button,
  argTypes: { handleClick: { action: "handleClick" } },
}

const Template = args => <Button {...args} />

export const Primary = Template.bind({})
Primary.args = {
  primary: true,
  label: "Primary",
  size: "md",
}

export const Secondary = Template.bind({})
Secondary.args = {
  label: "Secondary",
  size: "md",
}

export const Disabled = Template.bind({})
Disabled.args = {
  disable: true,
  label: "Disable",
  size: "md",
}
